<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>ClientAuthBlock (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClientAuthBlock (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/AuthenticationPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.auth"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html" target="_top">Frames</a></li>
<li><a href="ClientAuthBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.auth</div>
<h2 title="Class ClientAuthBlock" class="title">Class ClientAuthBlock</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.auth.ClientAuthBlock</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ClientAuthBlock</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Manages client authentication with multiple pluginProviders.
 <p>
 This is similar to the <code>ClntAuthBlock</code> in Firebird. For ease of understanding, and correlating with the
 Firebird implementation, this uses the same (or very similar) terms and structure (if it makes sense).
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#ClientAuthBlock-org.firebirdsql.gds.ng.IAttachProperties-">ClientAuthBlock</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;?&gt;&nbsp;attachProperties)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/AuthenticationPlugin.AuthStatus.html" title="enum in org.firebirdsql.gds.ng.wire.auth">AuthenticationPlugin.AuthStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#authenticate--">authenticate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#authenticateStep0--">authenticateStep0</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#authFillParametersBlock-org.firebirdsql.gds.ConnectionParameterBuffer-">authFillParametersBlock</a></span>(<a href="../../../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>&nbsp;pb)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getClientData--">getClientData</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getCurrentPluginName--">getCurrentPluginName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getLogin--">getLogin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getNormalizedLogin--">getNormalizedLogin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getPluginNames--">getPluginNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#getSessionKey--">getSessionKey</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#hasPlugin--">hasPlugin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#isAuthComplete--">isAuthComplete</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#isFirstTime--">isFirstTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#resetClient-byte:A-">resetClient</a></span>(byte[]&nbsp;serverInfo)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#setAuthComplete-boolean-">setAuthComplete</a></span>(boolean&nbsp;authComplete)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#setFirstTime-boolean-">setFirstTime</a></span>(boolean&nbsp;firstTime)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#setServerData-byte:A-">setServerData</a></span>(byte[]&nbsp;serverData)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#supportsEncryption--">supportsEncryption</a></span>()</code>
<div class="block">TODO Need to handle this differently</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#switchPlugin-java.lang.String-">switchPlugin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginName)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html#writePluginDataTo-java.io.OutputStream-">writePluginDataTo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;userId)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClientAuthBlock-org.firebirdsql.gds.ng.IAttachProperties-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClientAuthBlock</h4>
<pre>public&nbsp;ClientAuthBlock(<a href="../../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;?&gt;&nbsp;attachProperties)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLogin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogin</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLogin()</pre>
</li>
</ul>
<a name="getNormalizedLogin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNormalizedLogin</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNormalizedLogin()</pre>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
</li>
</ul>
<a name="isAuthComplete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAuthComplete</h4>
<pre>public&nbsp;boolean&nbsp;isAuthComplete()</pre>
</li>
</ul>
<a name="setAuthComplete-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthComplete</h4>
<pre>public&nbsp;void&nbsp;setAuthComplete(boolean&nbsp;authComplete)</pre>
</li>
</ul>
<a name="getCurrentPluginName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentPluginName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCurrentPluginName()</pre>
</li>
</ul>
<a name="getPluginNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPluginNames()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Comma separated list of available plugins.</dd>
</dl>
</li>
</ul>
<a name="getClientData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientData</h4>
<pre>public&nbsp;byte[]&nbsp;getClientData()</pre>
</li>
</ul>
<a name="setFirstTime-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFirstTime</h4>
<pre>public&nbsp;void&nbsp;setFirstTime(boolean&nbsp;firstTime)</pre>
</li>
</ul>
<a name="isFirstTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFirstTime</h4>
<pre>public&nbsp;boolean&nbsp;isFirstTime()</pre>
</li>
</ul>
<a name="authenticateStep0--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>authenticateStep0</h4>
<pre>public&nbsp;void&nbsp;authenticateStep0()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="resetClient-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetClient</h4>
<pre>public&nbsp;void&nbsp;resetClient(byte[]&nbsp;serverInfo)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setServerData-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServerData</h4>
<pre>public&nbsp;void&nbsp;setServerData(byte[]&nbsp;serverData)</pre>
</li>
</ul>
<a name="writePluginDataTo-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writePluginDataTo</h4>
<pre>public&nbsp;void&nbsp;writePluginDataTo(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;userId)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="switchPlugin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>switchPlugin</h4>
<pre>public&nbsp;boolean&nbsp;switchPlugin(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginName)</pre>
</li>
</ul>
<a name="hasPlugin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasPlugin</h4>
<pre>public&nbsp;boolean&nbsp;hasPlugin()</pre>
</li>
</ul>
<a name="authenticate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>authenticate</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/AuthenticationPlugin.AuthStatus.html" title="enum in org.firebirdsql.gds.ng.wire.auth">AuthenticationPlugin.AuthStatus</a>&nbsp;authenticate()
                                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="authFillParametersBlock-org.firebirdsql.gds.ConnectionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>authFillParametersBlock</h4>
<pre>public&nbsp;void&nbsp;authFillParametersBlock(<a href="../../../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>&nbsp;pb)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="supportsEncryption--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsEncryption</h4>
<pre>public&nbsp;boolean&nbsp;supportsEncryption()
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">TODO Need to handle this differently</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the encryption is supported</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If it is impossible to determine if encryption is supported (eg there is no current auth plugin)</dd>
</dl>
</li>
</ul>
<a name="getSessionKey--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSessionKey</h4>
<pre>public&nbsp;byte[]&nbsp;getSessionKey()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Session key</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a session key cannot be provided</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/auth/AuthenticationPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.auth"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/auth/ClientAuthBlock.html" target="_top">Frames</a></li>
<li><a href="ClientAuthBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
